Skip to main content

Public

Security: None

Test Connectivity

GET https://openapi.idax.exchange/sapi/v2/ping
This endpoint checks connectivity to the host.
{}

Check Server Time

GET https://openapi.idax.exchange/sapi/v2/time
This endpoint checks connectivity to the server and retrieves server timestamp.
{
    "timezone": "GMT+08:00",
    "serverTime": 1595563624731
}

Pairs List

GET https://openapi.idax.exchange/sapi/v2/symbols
{
    "symbols": [
        {
            "quantityPrecision": 3,
            "symbol": "sccadai",
            "pricePrecision": 6,
            "baseAsset": "SCCA",
            "quoteAsset": "DAI",
            "limitAmountMin": "100",
            "limitPriceMin": "123.45",
            "limitVolumeMin": "10",
            "feeRateMaker": "0.002",
            "feeRateTaker": "0.002"
        },
        {
            "quantityPrecision": 8,
            "symbol": "btcusdt",
            "pricePrecision": 2,
            "baseAsset": "BTC",
            "quoteAsset": "USDT",
            "limitAmountMin": "100",
            "limitPriceMin": "123.45",
            "limitVolumeMin": "10",
            "feeRateMaker": "0.002",
            "feeRateTaker": "0.002"
        },
        {
            "quantityPrecision": 3,
            "symbol": "bchusdt",
            "pricePrecision": 2,
            "baseAsset": "BCH",
            "quoteAsset": "USDT",
            "limitAmountMin": "100",
            "limitPriceMin": "123.45",
            "limitVolumeMin": "10",
            "feeRateMaker": "0.002",
            "feeRateTaker": "0.002"
        }
    ]
}
weight(IP/UID): 1

Response:

NameTypeExampleDescription
symbolstringBTCUSDTName of the symbol
baseAssetstringBTCUnderlying asset for the symbol
quoteAssetstringUSDTQuote asset for the symbol
pricePrecisioninteger2Precision of the price
quantityPrecisioninteger6Precision of the quantity
limitAmountMinstring100Limit order minimum order amount (quote)
limitPriceMinstring100Minimum price of a limit order
limitVolumeMinstring100Limit order minimum order quantity (base)
baseAssetNamestringBTCBase currency display name
quoteAssetNamestringUSDTQuote currency display name
SymbolNamestringBTC/USDTTrading pair display name
feeRateMakerstring0.002Maker fee rate
feeRateTakerstring0.002Taker fee rate

Market

Security Type: None

Depth

GET https://openapi.idax.exchange/sapi/v2/depth
Market depth data.

Query Parameters

NameTypeDescription
limitintegerDefault 100; Max 100
symbol *stringSymbol Name E.g. BTC/USDT
{
  "bids": [
    [
      "3.90000000",
      "431.00000000"
    ],
    [
      "4.00000000",
      "431.00000000"
    ]
  ],
  "asks": [
    [
      "4.00000200",
      "12.00000000"
    ],
    [
      "5.10000000",
      "28.00000000"
    ]
  ]
}
weight(IP/UID): 5

Response:

NameTypeExampleDescription
timelong1595563624731Current timestamp (ms)
bidslistList of all bids, best bids first. See below for entry details.
askslistList of all asks, best asks first. See below for entry details.
The fields bids and asks are lists of order book price level entries, sorted from best to worst.
NameTypeExampleDescription
float131.1Price level
float2.3The total quantity of orders for this price level

24hrs ticker

GET https://openapi.idax.exchange/sapi/v2/ticker
24 hour price change statistics.
  • If symbol parameter is not provided, the API will consume a significantly higher rate limit, and the response structure will also be different.
  • If the symbol is not sent, orders for all symbols will be returned in an array.

Query Parameters

ps: If both symbol and symbols are provided, symbol takes precedence. If neither is provided, ticker data for all symbols will be returned.
NameTypeDescription
symbolstringSymbol Name E.g. BTC/USDT
symbolsstringCoin pair name: Use English commas to separate multiple pairs. e.g. btcusdt,ethusdt
{
    "high": "9279.0301",
    "vol": "1302",
    "last": "9200",
    "low": "9279.0301",
    "rose": "0",
    "time": 1595563624731,
    "symbol": "btcusdt",
    "amount": "3213",
    "askPrice": "123",
    "askVolume": "213213",
    "bidPrice": "12323",
    "bidVolume": "213213"
}
weight(IP/UID): 5 symbol not provided: weight = 80 symbols not provided: weight = 80 symbols 1-20: weight = 5 symbols 21-100: weight = 40 symbols ≥ 101: weight = 80

Response:

NameTypeExampleDescription
timelong1595563624731Open time
highfloat9900High price
lowfloat8800.34Low price
openfloat8700Open price
lastfloat8900Last price
volfloat4999Trade volume
rosefloat0Price increase or price rise
symbolstringbtcusdtSymbol
amountstring1233Trading volume, quote currency volume
askPricestring23321Best ask price
askVolumestring3321Best ask size
bidPricestring21Best bid price
bidVolumestring12Best bid size

Recent Trades List

GET https://openapi.idax.exchange/sapi/v2/trades

Query Parameters

NameTypeDescription
symbol *stringSymbol Name E.g. BTC/USDT
limitstringDefault 100; Max 1000
{
    "list": [
        {
            "price": "3.000001",
            "qty": "11.0",
            "time": 1499865549590,
            "side": "BUY",
            "id": 629861,
            "symbol": "BTC/USDT"
        }
    ]
}
weight(IP/UID): 5

Response:

NameTypeExampleDescription
pricefloat0.055The price of the trade
timelong1537797044116Current timestamp (ms)
qtyfloat5The quantity traded
sidestringBUY/SELLTaker side
idlong629861Transaction ID
symbolstringBTC/USDTCurrency pair

Kline/candlestick data

GET https://openapi.idax.exchange/sapi/v2/klines

Query Parameters

NameTypeDescription
symbol *Symbol Name E.g. BTC/USDT
interval *stringInterval of the Kline. Possible values: 1min, 5min, 15min, 30min, 60min, 1day, 1week, 1month
limitintegerReturns the number of k-lines. Default 100; Max 300
startTimelongStart time. Example: 1538728740000
endTimelongEnd time. Example: 1538728740000
timezonestringTime zone, e.g. UTC-09
[
    {
        "high": "6228.77",
        "vol": "111",
        "low": "6228.77",
        "idx": 1594640340,
        "close": "6228.77",
        "open": "6228.77"
    },
    {
        "high": "6228.77",
        "vol": "222",
        "low": "6228.77",
        "idx": 1587632160,
        "close": "6228.77",
        "open": "6228.77"
    },
    {
        "high": "6228.77",
        "vol": "333",
        "low": "6228.77",
        "idx": 1587632100,
        "close": "6228.77",
        "open": "6228.77"
    }
]
weight(IP/UID): 1

Response:

NameTypeExampleDescription
idxlong1538728740000Open time
openfloat36.00000Open price
closefloat33.00000Close price
highfloat36.00000High price
lowfloat30.00000Low price
volfloat2456.111Volume

Trade

Security Type: TRADE

Endpoints under Trade require an API Key and a signature.

New Order

POST https://openapi.idax.exchange/sapi/v2/order
Rate Limit: 100 times/2s

Query Parameters

NameTypeDescription
X-CH-SIGNstringSign
X-CH-APIKEYstringYour API key
X-CH-TSintegerTimestamp

Request Body

NameTypeDescription
symbol *stringSymbol Name E.g. BTC/USDT
volume *numberOrder volume. For MARKET BUY orders, vol = amount.
side *stringSide of the order: BUY/SELL
type *stringType of the order: LIMIT / MARKET / FOK / POST_ONLY / IOC / STOP
price *numberOrder price, REQUIRED for LIMIT orders
newClientOrderIdstringUnique order ID generated by users to mark their orders
recvwindowintegerTime window
triggerPricenumberTake Profit and Stop Loss trigger price (when type is STOP, price and triggerPrice are both required)
{
    "symbol": "LXTUSDT",
    "orderId": 150695552109032492,
    "orderIdString": "150695552109032492",
    "clientOrderId": "157371322565051",
    "transactTime": "1573713225668",
    "price": "0.005452",
    "origQty": "110",
    "executedQty": "0",
    "status": "0",
    "type": "LIMIT",
    "side": "SELL"
}
weight(IP/UID): 5

Response:

NameTypeExampleDescription
orderIdlong150695552109032492ID of the order
orderIdStringstring"150695552109032492"String type order ID (recommended)
clientOrderIdstring213443A unique ID of the order
symbolstringBTCUSDTSymbol name
symbolNamestringBTC/USDTCurrency display name
transactTimeinteger1273774892913Time the order is placed
pricefloat4765.29Order price
origQtyfloat1.01Quantity ordered
executedQtyfloat1.01Quantity of orders executed
typestringLIMITOrder type: LIMIT, MARKET
sidestringBUYOrder side: BUY, SELL
statusstring00 = new order

Test New Order

POST https://openapi.idax.exchange/sapi/v2/order/test
Test new order creation and signature/recvWindow length. Creates and validates a new order but does not send the order into the matching engine.

Headers

NameTypeDescription
X-CH-APIKEYstringYour API key
X-CH-TSstringTimestamp
X-CH-SIGNstringSign

Request Body

NameTypeDescription
type *stringType of the order: LIMIT/MARKET
price *numberOrder price, REQUIRED for LIMIT orders
volume *numberOrder volume. For MARKET BUY orders, vol = amount.
side *stringSide of the order: BUY/SELL
symbol *stringSymbol Name E.g. BTC/USDT
recvwindowintegerTime window
newClientorderIdstringUnique order ID generated by users to mark their orders
{}
weight(IP/UID): 1

Batch Orders

POST https://openapi.idax.exchange/sapi/v2/batchOrders
Batch contains at most 10 orders.

Headers

NameTypeDescription
X-CH-APIKEYstringYour API key
X-CH-TSstringTimestamp
X-CH-SIGNstringSign

Request Body

NameTypeDescription
ordersarrayThe batch order information, maximum of 10 records.
symbol *stringSymbol Name E.g. BTC/USDT
{
    "idsString": [
        "165964665990709251",
        "165964665990709252",
        "165964665990709253"
    ],
    "ids": [
        165964665990709251,
        165964665990709252,
        165964665990709253
    ]
}
weight(IP/UID): 10

Request orders field:

NameTypeExampleDescription
pricefloat1000Price
volumefloat20.1Quantity
sidestringBUY/SELLDirection
batchTypestringLIMIT/MARKETType

Response:

NameTypeExampleDescription
idsStringstring"3213213"A collection of order numbers of type string.
idsinteger2100Collection of order numbers.

Query Order

GET https://openapi.idax.exchange/sapi/v2/order

Query Parameters

NameTypeDescription
orderId *stringOrder ID
newClientorderIdstringClient Order ID, unique order ID generated by users to mark their orders. E.g. 354444heihieddada
symbol *stringSymbol Name E.g. BTC/USDT

Headers

NameTypeDescription
X-CH-APIKEYstringYour API key
X-CH-TSstringTimestamp
X-CH-SIGNstringSign
{
    "orderId": "499890200602846976",
    "clientOrderId": "157432755564968",
    "symbol": "BHTUSDT",
    "price": "0.01",
    "origQty": "50",
    "executedQty": "0",
    "avgPrice": "0",
    "status": "NEW",
    "type": "LIMIT",
    "side": "BUY",
    "transactTime": "1574327555669"
}
weight(IP/UID): 1

Response:

NameTypeExampleDescription
orderIdlong150695552109032492Order ID (system generated)
clientOrderIdstring213443Order ID (sent by yourself)
symbolstringBTCUSDTCurrency pair name
pricefloat4765.29Order price
origQtyfloat1.01Number of orders
executedQtyfloat1.01Number of orders already filled
avgPricefloat4754.24Average price of orders already filled
typestringLIMITThe order type: LIMIT, MARKET
sidestringBUYOrder direction: BUY (buy long) and SELL (sell short)
statusstringNEWOrder status: NEW, PARTIALLY_FILLED, FILLED, CANCELED, REJECTED
transactTimestring1574327555669Order creation time

Cancel Order

POST https://openapi.idax.exchange/sapi/v2/cancel

Headers

NameTypeDescription
X-CH-APIKEYstringYour API key
X-CH-TSstringTimestamp
X-CH-SIGNstringSign

Request Body

NameTypeDescription
newClientOrderIdstringClient Order ID, unique order ID generated by users to mark their orders. E.g. 354444heihieddada
orderId *stringOrder ID
symbol *stringSymbol Name E.g. BTC/USDT
{
    "symbol": "BHTUSDT",
    "clientOrderId": "0",
    "orderId": "499890200602846976",
    "status": "CANCELED"
}
weight(IP/UID): 5

Response:

NameTypeExampleDescription
orderIdlong150695552109032492ID of the order
clientOrderIdstring213443Unique ID of the order
symbolstringBTCUSDTName of the symbol
statusstringNEWOrder status: NEW, PARTIALLY_FILLED, FILLED, CANCELED, REJECTED

Batch cancel orders

POST https://openapi.idax.exchange/sapi/v2/batchCancel
Batch contains at most 10 orders.

Headers

NameTypeDescription
X-CH-APIKEYstringYour API key
X-CH-TSstringTimestamp
X-CH-SIGNstringSign

Request Body

NameTypeDescription
orderIds *stringOrder ID collection [123,456]
symbol *stringSymbol Name E.g. BTC/USDT
{
    "success": [
        165964665990709251,
        165964665990709252,
        165964665990709253
    ],
    "failed": [
        165964665990709250
    ]
}
weight(IP/UID): 10

Current Open Orders

GET https://openapi.idax.exchange/sapi/v2/openOrders
If symbol parameter is not provided, the API will consume a significantly higher rate limit.

Query Parameters

NameTypeDescription
symbolstringSymbol Name E.g. BTC/USDT
limitintegerDefault 100; Max 1000
  • If the symbol is not sent, orders for all symbols will be returned in an array.

Headers

NameTypeDescription
X-CH-APIKEYstringYour API key
X-CH-TSstringTimestamp
X-CH-SIGNstringSign
[
    {
        "orderId": 499902955766523648,
        "orderIdString": "499902955766523648",
        "symbol": "BHTUSDT",
        "price": "0.01",
        "origQty": "50",
        "executedQty": "0",
        "avgPrice": "0",
        "status": "NEW",
        "type": "LIMIT",
        "side": "BUY",
        "time": "1574329076202",
        "stopPrice": 123321,
        "isWorking": true
    }
]
weight(IP/UID): 1 symbol not provided: weight = 80

Response:

NameTypeExampleDescription
orderIdlong150695552109032492ID of the order
orderIdStringstring"150695552109032492"String type order ID (recommended)
clientOrderIdstring213443Unique ID of the order
symbolstringBTCUSDTName of the symbol
pricefloat4765.29Price of the order
origQtyfloat1.01Quantity ordered
executedQtyfloat1.01Quantity of orders that has been executed
avgPricefloat4754.24Average price of filled orders
typestringLIMITThe order type: LIMIT, MARKET
sidestringBUYThe order side: BUY, SELL
statusstringNEWOrder status: NEW, PARTIALLY_FILLED, FILLED, CANCELED, REJECTED
timestring1574327555669Creation time
stopPricefloat21323.32Take Profit and Stop Loss trigger price
isWorkingbooleantrueDoes the order appear in the order book?

History Orders

GET https://openapi.idax.exchange/sapi/v3/historyOrders
If symbol parameter is not provided, the API will consume a significantly higher rate limit.

Query Parameters

NameTypeDescription
symbolstringSymbol Name E.g. BTC/USDT
limitintegerDefault 50; Max 100
startTimelongThe start timestamp (ms). startTime and endTime not passed returns 7 days by default; only startTime passed returns startTime to startTime+7 days; only endTime passed returns endTime-7 days to endTime; if both are passed, endTime - startTime ≤ 7 days.
endTimelongThe end timestamp (ms)
  • If the symbol is not sent, orders for all symbols will be returned in an array.
  • Support query within the last 6 months only.

Headers

NameTypeDescription
X-CH-APIKEYstringYour API key
X-CH-TSstringTimestamp
X-CH-SIGNstringSign
[
    {
        "orderId": 499902955766523648,
        "orderIdString": "499902955766523648",
        "symbol": "BHTUSDT",
        "price": "0.01",
        "origQty": "50",
        "executedQty": "0",
        "avgPrice": "0",
        "status": "NEW",
        "type": "LIMIT",
        "side": "BUY",
        "time": "1574329076202",
        "stopPrice": 123321,
        "isWorking": true
    }
]
weight(IP/UID): 20 symbol not provided: weight = 80

Response:

NameTypeExampleDescription
orderIdlong150695552109032492ID of the order
orderIdStringstring"150695552109032492"String type order ID (recommended)
clientOrderIdstring213443Unique ID of the order
symbolstringBTCUSDTName of the symbol
pricefloat4765.29Price of the order
origQtyfloat1.01Quantity ordered
executedQtyfloat1.01Quantity of orders that has been executed
avgPricefloat4754.24Average price of filled orders
typestringLIMITThe order type: LIMIT, MARKET
sidestringBUYThe order side: BUY, SELL
statusstringNEWOrder status: NEW, PARTIALLY_FILLED, FILLED, CANCELED, REJECTED
timestring1574327555669Creation time
stopPricefloat21323.32Take Profit and Stop Loss trigger price
isWorkingbooleantrueDoes the order appear in the order book?

Trades

GET https://openapi.idax.exchange/sapi/v2/myTrades

Query Parameters

NameTypeDescription
symbol *stringSymbol Name E.g. BTC/USDT
limitstringDefault 100; Max 1000
fromIdstringTrade ID to fetch from

Headers

NameTypeDescription
X-CH-APIKEYstringYour API key
X-CH-TSstringTimestamp
X-CH-SIGNstringSign
[
  {
    "symbol": "ETHBTC",
    "id": 100211,
    "bidId": 150695552109032492,
    "askId": 150695552109032493,
    "price": "4.00000100",
    "qty": "12.00000000",
    "time": 1499865549590,
    "isBuyer": true,
    "isMaker": false,
    "feeCoin": "ETH",
    "fee": "0.001",
    "bidUserId": 23334,
    "askUserId": 44112
  }
]
weight(IP/UID): 1

Response:

NameTypeExampleDescription
symbolstringBTCUSDTName of the symbol
idinteger28457Trade ID
bidIdlong150695552109032492Bid order ID
askIdlong150695552109032492Ask order ID
priceinteger4.01Price of the trade
qtyfloat12Quantity of the trade
timenumber1499865549590Timestamp of the trade
isBuyerbooltruetrue = Buyer, false = Seller
isMakerboolfalsetrue = Maker, false = Taker
feeCoinstringETHTrading fee coin
feenumber0.001Trading fee
bidUserIdlong23334Buyer UID
askUserIdlong44112Seller UID
isSelfbooltrueWhether the trade was self-dealt

Trades-V3

GET https://openapi.idax.exchange/sapi/v3/myTrades
If symbol parameter is not provided, the API will consume a significantly higher rate limit.

Query Parameters

NameTypeDescription
symbolstringSymbol Name E.g. BTC/USDT
limitintegerDefault 50; Max 100
startTimelongThe start timestamp (ms). startTime and endTime not passed returns 7 days by default; only startTime passed returns startTime to startTime+7 days; only endTime passed returns endTime-7 days to endTime; if both are passed, endTime - startTime ≤ 7 days.
endTimelongThe end timestamp (ms)
  • If the symbol is not sent, trades for all symbols will be returned in an array.
  • Support query within the last 6 months only.

Headers

NameTypeDescription
X-CH-APIKEYstringYour API key
X-CH-TSstringTimestamp
X-CH-SIGNstringSign
[
  {
    "symbol": "ETH/BTC",
    "id": 100211,
    "bidId": 150695552109032492,
    "askId": 150695552109032493,
    "price": "4.00000100",
    "qty": "12.00000000",
    "time": 1499865549590,
    "isBuyer": true,
    "isMaker": false,
    "feeCoin": "ETH",
    "fee": "0.001",
    "bidUserId": 23334,
    "askUserId": 44112
  }
]
weight(IP/UID): 20 symbol not provided: weight = 80

Response:

NameTypeExampleDescription
symbolstringBTC/USDTName of the symbol
idinteger28457Trade ID
bidIdlong150695552109032492Bid order ID
askIdlong150695552109032492Ask order ID
priceinteger4.01Price of the trade
qtyfloat12Quantity of the trade
timenumber1499865549590Timestamp of the trade
isBuyerbooltruetrue = Buyer, false = Seller
isMakerboolfalsetrue = Maker, false = Taker
feeCoinstringETHTrading fee coin
feenumber0.001Trading fee
bidUserIdlong23334Buyer UID
askUserIdlong44112Seller UID
isSelfbooltrueWhether the trade was self-dealt

Account

Security Type: USER_DATA Endpoints under Account require an API key and a signature.

Account Information

GET https://openapi.idax.exchange/sapi/v1/account

Headers

NameTypeDescription
X-CH-APIKEYstringYour API key
X-CH-TSstringTimestamp
X-CH-SIGNstringSign
{
    "balances": [
        {
            "uid": 32556741,
            "asset": "BTC",
            "free": "0.0000000000",
            "locked": "0.0000000000"
        }
    ]
}
weight(IP/UID): 1

Response:

NameTypeDescription
balancesarrayBalance list
balances field:
NameTypeExampleDescription
uidstring10001User ID
assetstringUSDTName of the asset
freefloat1000.30Amount available for use
lockedfloat400Amount locked (for open orders)

Transfer

POST https://openapi.idax.exchange/sapi/v1/asset/transfer

Headers

NameTypeDescription
X-CH-SIGNstringSign
X-CH-APIKEYstringYour API key
X-CH-TSstringTimestamp

Request Body

NameTypeDescription
coinSymbol *stringCoin symbol
amount *floatQuantity
fromAccount *stringFrom Account. EXCHANGE: Spot Account, FUTURE: Futures Account
toAccount *stringTo Account. EXCHANGE: Spot Account, FUTURE: Futures Account
{
    "code": "0",
    "msg": "SUCCESS",
    "data": {
        "transferId": "1a9ec387-8b81-4789-a98e-bc6a606c8736"
    }
}
weight(IP/UID): 5

Response:

NameTypeExampleDescription
transferIdstring1a9ec387-8b81-4789-a98e-bc6a606c8736Transfer ID

Transfer Record Query

POST https://openapi.idax.exchange/sapi/v1/asset/transferQuery

Headers

NameTypeDescription
X-CH-SIGNstringSign
X-CH-APIKEYstringYour API key
X-CH-TSstringTimestamp

Request Body

When transferId is not provided, fromAccount/toAccount are required. If startTime and endTime are not provided, the default is to return data from the last 7 days. Only data from the last 6 months is supported for querying.
NameTypeDescription
transferIdstringTransfer ID
coinSymbolstringCoin symbol
fromAccountstringFrom Account. EXCHANGE: Spot Account, FUTURE: Futures Account
toAccountstringTo Account. EXCHANGE: Spot Account, FUTURE: Futures Account
startTimelongStart time, 13-digit timestamp
endTimelongEnd time, 13-digit timestamp
pageintegerIf not provided, default is 1
limitintegerIf not provided, default is 20, maximum 100
{
    "code": "0",
    "msg": "SUCCESS",
    "data": {
        "list": [
            {
                "transferId": "1a9ec387-8b81-4789-a98e-bc6a606c8736",
                "fromAccount": "EXCHANGE",
                "toAccount": "FUTURE",
                "coinSymbol": "USDT",
                "createTime": 1742369830000,
                "amount": "1",
                "status": "SUCCESS"
            }
        ]
    }
}
weight(IP/UID): 5

Response:

NameTypeExampleDescription
transferIdstring1a9ec387-8b81-4789-a98e-bc6a606c8736Transfer ID
fromAccountstringEXCHANGEFrom account
toAccountstringFUTURETo account
coinSymbolstringUSDTCoin symbol
createTimelong1742300000000Creation timestamp
amountstring1Quantity
statusstringSUCCESSStatus: SUCCESS = Success, PENDING = In Progress, FAILED = Failed